"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseXPropertiesInObject = void 0;
const isXProperty = (propertyPath) => {
    return propertyPath.startsWith('x-');
};
exports.parseXPropertiesInObject = (object, pathBuilder) => {
    return Object.keys(object)
        .filter(isXProperty)
        .reduce((xProperties, currentKey) => {
        xProperties[currentKey] = {
            originalPath: pathBuilder.withChild(currentKey).build(),
            value: object[currentKey]
        };
        return xProperties;
    }, {});
};
